Bug 1047455 - [abrt] libreoffice-core: framework::ToolbarLayoutManager::implts_setDockingAreaWindowSizes(com::sun::star::awt::Rectangle const&)(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: framework::ToolbarLayoutManager::implts_setDockingAr...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f8cc59e5daebe08243ed38a0091...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-31 08:06 UTC by Igor
Modified: 2021-07-13 08:30 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-03 20:23:25 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (61.59 KB, text/plain)
2013-12-31 08:06 UTC, Igor
no flags Details
File: cgroup (159 bytes, text/plain)
2013-12-31 08:06 UTC, Igor
no flags Details
File: core_backtrace (22.26 KB, text/plain)
2013-12-31 08:06 UTC, Igor
no flags Details
File: dso_list (24.10 KB, text/plain)
2013-12-31 08:06 UTC, Igor
no flags Details
File: environ (2.08 KB, text/plain)
2013-12-31 08:06 UTC, Igor
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-31 08:06 UTC, Igor
no flags Details
File: maps (90.24 KB, text/plain)
2013-12-31 08:06 UTC, Igor
no flags Details
File: open_fds (2.17 KB, text/plain)
2013-12-31 08:06 UTC, Igor
no flags Details
File: proc_pid_status (794 bytes, text/plain)
2013-12-31 08:06 UTC, Igor
no flags Details
File: var_log_messages (506 bytes, text/plain)
2013-12-31 08:06 UTC, Igor
no flags Details
File: exploitable (167 bytes, application/octet-stream)
2013-12-31 08:06 UTC, Igor
no flags Details

Description Igor 2013-12-31 08:06:20 UTC
Version-Release number of selected component:
libreoffice-core-4.1.4.2-2.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/lib/libreoffice/program/soffice.bin --quickstart --nologo --nodefault
crash_function: framework::ToolbarLayoutManager::implts_setDockingAreaWindowSizes(com::sun::star::awt::Rectangle const&)
executable:     /usr/lib/libreoffice/program/soffice.bin
kernel:         3.12.5-302.fc20.i686+PAE
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 framework::ToolbarLayoutManager::implts_setDockingAreaWindowSizes(com::sun::star::awt::Rectangle const&) at /usr/lib/libreoffice/program/../program/libfwklo.so
 #1 framework::ToolbarLayoutManager::doLayout(Size const&) at /usr/lib/libreoffice/program/../program/libfwklo.so
 #2 framework::LayoutManager::implts_doLayout(unsigned char, unsigned char) at /usr/lib/libreoffice/program/../program/libfwklo.so
 #3 framework::LayoutManager::AsyncLayoutHdl(void*) at /usr/lib/libreoffice/program/../program/libfwklo.so
 #4 framework::LayoutManager::windowResized(com::sun::star::awt::WindowEvent const&) at /usr/lib/libreoffice/program/../program/libfwklo.so
 #5 WindowListenerMultiplexer::windowResized(com::sun::star::awt::WindowEvent const&) at /usr/lib/libreoffice/program/../program/libtklo.so
 #6 VCLXWindow::ProcessWindowEvent(VclWindowEvent const&) at /usr/lib/libreoffice/program/libtklo.so
 #7 VCLXWindow::WindowEventListener(VclSimpleEvent*) at /usr/lib/libreoffice/program/libtklo.so
 #8 VCLXWindow::LinkStubWindowEventListener(void*, void*) at /usr/lib/libreoffice/program/libtklo.so
 #9 VclEventListeners::Call(VclSimpleEvent*) const at /usr/lib/libreoffice/program/libvcllo.so

Potential duplicate: bug 922681

Comment 1 Igor 2013-12-31 08:06:24 UTC
Created attachment 843654 [details]
File: backtrace

Comment 2 Igor 2013-12-31 08:06:26 UTC
Created attachment 843655 [details]
File: cgroup

Comment 3 Igor 2013-12-31 08:06:28 UTC
Created attachment 843656 [details]
File: core_backtrace

Comment 4 Igor 2013-12-31 08:06:31 UTC
Created attachment 843657 [details]
File: dso_list

Comment 5 Igor 2013-12-31 08:06:33 UTC
Created attachment 843658 [details]
File: environ

Comment 6 Igor 2013-12-31 08:06:35 UTC
Created attachment 843659 [details]
File: limits

Comment 7 Igor 2013-12-31 08:06:37 UTC
Created attachment 843660 [details]
File: maps

Comment 8 Igor 2013-12-31 08:06:39 UTC
Created attachment 843661 [details]
File: open_fds

Comment 9 Igor 2013-12-31 08:06:40 UTC
Created attachment 843662 [details]
File: proc_pid_status

Comment 10 Igor 2013-12-31 08:06:42 UTC
Created attachment 843663 [details]
File: var_log_messages

Comment 11 Igor 2013-12-31 08:06:44 UTC
Created attachment 843664 [details]
File: exploitable

Comment 12 David Tardon 2014-01-06 16:08:18 UTC
Can you reproduce the crash?


Note You need to log in before you can comment on or make changes to this bug.